Description

sSrv6 step 1 and 2 can always be executed. Step 3-4-5-6 only when an attribute is writable.

Propose to make sSrv6 mandatory and change the text before step 4 into "When write-enabled data-attributes are available perform
for each type"

History

#1 - 08/09/2022 08:47 AM - IEC 61850 TPWG
- Due date set to 09/06/2022

- Status changed from New to In Progress

make sSrv6 mandatory and change the text before step 4 into "When write-enabled data-attributes are available perform for each type"

#2 - 08/09/2022 08:47 AM - IEC 61850 TPWG

- Assignee set to Richard Schimmel

#3 - 08/23/2022 10:03 AM - Richard Schimmel
- File Solution to redmine sSrv6 5912.docx added
- Test Case ID set to sSrv6

Pls review attached proposal.

#4 - 09/06/2022 08:16 AM - IEC 61850 TPWG

- Due date changed from 09/06/2022 to 09/20/2022
- Closed Reason Test Procedure Update added

- Closed Reason deleted (--Not Set---)

We need to define the criteria for determining what is read only.

#5 - 09/06/2022 10:21 AM - Thierry Dufaure

We need to define criteria for determining what is writable. Maybe we can get inspired from sSrvN2. FC=CF/DC/SP and valKind != Set or absent.

#6 - 10/04/2022 03:38 AM - Richard Schimmel

sSrv6 expected result already specifies what valKind is read-only and writable:

2. DUT sends SetDataValues(FC=BL, CF, SP, DC) response- for read-only data and response+ for write enabled data as specified in the ICD using
valKind="RO” for read-only and valKind="Set” or missing for write enabled data attributes.

#7 - 10/04/2022 08:54 AM - IEC 61850 TPWG

- Status changed from In Progress to Resolved

#8 - 03/01/2024 09:54 AM - Richard Schimmel
- Status changed from Resolved to Closed

- Updated Test Document set to TP1.3

Files
Solution to redmine sSrv6 5912.docx 19.8 KB 08/23/2022 Richard Schimmel
